//
// Copyright (C) 1996 by
// Digital Equipment Corporation, Maynard, Massachusetts.
// All rights reserved.
//
// This software is furnished under a license and may be used and copied
// only  in  accordance  of  the  terms  of  such  license  and with the
// inclusion of the above copyright notice. This software or  any  other
// copies thereof may not be provided or otherwise made available to any
// other person.  No title to and  ownership of the  software is  hereby
// transferred.
//
// The information in this software is  subject to change without notice
// and  should  not  be  construed  as a commitment by Digital Equipment
// Corporation.
//
// Digital assumes no responsibility for the use  or  reliability of its
// software on equipment which is not supplied by Digital.
//
//
// Abstract:    
//
// Author:      
//
// Revision:    $Header: /remote_disks/reo_jimlad_rz0c/users/rusling/release/ebsa285/05Jun1522/ebsa285/post/RCS/post.h,v 1.5 1997/06/04 10:34:41 rusling Exp $
//
// Modifications:
//
//     $History: $
//

struct result {
  int run ;
  int result ;
} ;

#define FLAGS_CFM                0x80000000 
#define FLAGS_IBUF4              0x1
#define FLAGS_IBUF5              0x2
#define FLAGS_IBUF6              0x4

struct testResults {
  unsigned int memorySize ;
  unsigned int cpuId ;
  unsigned int deviceId ;
  unsigned int revisionId ;
  unsigned int switchSetting ;
  unsigned int flags ;
  int          cpuFrequency ;
  int          busFrequency ;
  unsigned int flashBase ;
  unsigned int flashBlocks ;
  unsigned int flashBlockSize ;
  struct result results[1] ;   /* dummy array size */
} ;

#define GET8(address)  		(*(volatile unsigned char *)(address))
#define PUT8(address,val)  	(*(volatile unsigned char *)(address) = (val))

#define GET16(address)  	(*(volatile unsigned short *)(address))
#define PUT16(address,val)  (*(volatile unsigned short *)(address) = (val))

#define GET32(address)  	(*(volatile unsigned int *)(address))
#define PUT32(address,val)  (*(volatile unsigned int *)(address) = (val))

extern void PutString(char *) ;
extern void PutHex(unsigned int) ;
extern unsigned char GetHex(void) ;
extern unsigned int cpuIdRead(void) ;
extern unsigned int cpuControlRead(void) ;
extern void SetLEDs(int leds) ;
extern int calibrate(struct testResults *) ;
extern char *MHz(int v) ;

extern int timerTests(struct testResults *) ;
extern int flashTests(struct testResults *) ;
extern int comTests(struct testResults *) ;


