/****************************************************************************
**                                                                          *
**  Copyright  1997						     								*
**  by Digital Equipment Corporation, Maynard, Massachusetts.		     	*
**                                                                          *
**  All Rights Reserved							     						*
**                                                                          *
**  Permission  is  hereby  granted  to  use, copy, modify and distribute   *
**  this  software  and  its  documentation,  in  both  source  code  and   *
**  object  code  form,  and without fee, for the purpose of distribution   *
**  of this software  or  modifications  of this software within products   *
**  incorporating  an  integrated   circuit  implementing  Digital's  		*
**  StrongARM architecture,  regardless  of the  source of such integrated 	*
**	circuit, provided that the  above copyright  notice and this permission *
**  notice appear  in  all copies,  and  that  the  name  of  Digital  		*
**  Equipment Corporation  not  be  used  in advertising or publicity 		*
**  pertaining to distribution of the  document  or  software without 		*
**  specific, written prior permission.							            *
**                                                                          *
**  Digital  Equipment  Corporation   disclaims  all   warranties  and/or   *
**  guarantees  with  regard  to  this  software,  including  all implied   *
**  warranties of fitness for  a  particular purpose and merchantability,   *
**  and makes  no  representations  regarding  the use of, or the results   *
**  of the use of, the software and documentation in terms of correctness,  *
**  accuracy,  reliability,  currentness  or  otherwise;  and you rely on   *
**  the software, documentation and results solely at your own risk.	    *
**                                                                          *
**  StrongARM is a trademark of Digital Equipment Corporation               *
**                                                                          *
*****************************************************************************/

#include "address.h"
#include "devconf.h"

#ifndef LINT
char *rcsid = "$Id: globals.c,v 2.0 1997/07/23 13:26:04 smithg Exp $";
#endif

#if (ETHERNET_SUPPORTED == 1)
/* MAC address */
mac_addr broadcast_mac_address = {0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF};

/* Ethernet protocol ids */


/* Standard ethernet protocol ids - from RFC 1340 */
ethernet_protocol_id ether_protocol_ip = {0x08, 0x00};
ethernet_protocol_id ether_protocol_arp = {0x08, 0x06};
ethernet_protocol_id ether_protocol_rarp = {0x08, 0x06};


/* IP addresses */
ip_addr own_ip_addr_unknown_address = {0,0,0,0};
ip_addr local_ip_broadcast_address = {0xFF,0xFF,0xFF,0xFF};



#endif
